return function(w,h)
    return {
        vertices={
            -w,-h,0,
            w,-h,0,
            w,h,0,
            -w,h,0,
        },
        -- These faces might have normals pointing the wrong way!
        triangles={
            1,2,3,
            3,4,1,
        },
        triangles_ex={{
            u1=0,v1=0,u2=1,v2=0,u3=1,v3=1,
        },{
            u1=1,v1=1,u2=0,v2=1,u3=0,v3=0,
        }},
        origin={0,0,0},
    }
end